package com.muyu.data.mart;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author：weiran
 * @Package：com.muyu.data.mart
 * @Project：cloud-background
 * @name：DataMartJuHeApplication
 * @Date：2024/9/5 16:07
 */
@SpringBootApplication
@EnableFeignClients
public class DataMartJuHeApplication {
    public static void main(String[] args) {
        SpringApplication.run(DataMartJuHeApplication.class, args);
    }
}
