package com.muyu.data.mart.controller;


import com.muyu.cloud.background.common.BasicApi;
import com.muyu.cloud.background.domin.realname.RealNameReq;
import com.muyu.cloud.background.domin.realname.RealNameResp;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * @Author：weiran
 * @Package：com.muyu.data.mart.controller
 * @Project：cloud-background
 * @name：RealNameJuHeController
 * @Date：2024/9/5 21:16
 */
@RestController
@RequestMapping("/juhe")
public class RealNameJuHeController {


    @Resource(name = "juhe-real-name")
    private  BasicApi<RealNameReq,RealNameResp> realNameService;

    @PostMapping("/real/name")
    public RealNameResp realName(@RequestBody RealNameReq realNameReq) {
        RealNameResp realNameResp = null;
        try {
            realNameResp = realNameService.send(realNameReq);
            return realNameResp;
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
